Package org.kie.api.runtime.conf

## Enum PersistedSessionOption.SafepointStrategy

- java.lang.Object
- - java.lang.Enum<PersistedSessionOption.SafepointStrategy>
  - - org.kie.api.runtime.conf.PersistedSessionOption.SafepointStrategy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PersistedSessionOption.SafepointStrategy>`
  Enclosing class:
    PersistedSessionOption

      public static enum PersistedSessionOption.SafepointStrategy
      extends java.lang.Enum<PersistedSessionOption.SafepointStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER_FIRE` |
    `ALWAYS` |
    `EXPLICIT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `useSafepoints()` |
    `static PersistedSessionOption.SafepointStrategy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PersistedSessionOption.SafepointStrategy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS

          public static final PersistedSessionOption.SafepointStrategy ALWAYS

    - #### AFTER_FIRE

          public static final PersistedSessionOption.SafepointStrategy AFTER_FIRE

    - #### EXPLICIT

          public static final PersistedSessionOption.SafepointStrategy EXPLICIT

  - ### Method Detail

    - #### values

          public static PersistedSessionOption.SafepointStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PersistedSessionOption.SafepointStrategy c : PersistedSessionOption.SafepointStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PersistedSessionOption.SafepointStrategy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### useSafepoints

          public boolean useSafepoints()